
QGIS Application - Bug report #426

Qt include and lib dir

2006-12-07 03:36 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 10485

Description

On Gentoo system I have qt-4.2.1 with includes in /usr/include/qt4/ and libs in /usr/lib/qt4/

./autogen.sh for 7.12.2006. HEAD w/o any params fails to find Qt,[[br]] with --with-qtdir=/usr fails to find Qt libs (includes are OK),[[br]]

with --with-qt-pkg-config fails to make due to wrong include path (/usr/include/ and not /usr/include/qt4/)

History

#1 - 2006-12-07 03:49 AM - Martin Dobias

- Resolution set to wontfix

- Status changed from Open to Closed

Gentoo users have trouble with this due a bit unusual Qt4 installation. I've added that --with-qt-pkg-config configure option, but it was doing problems with

some platforms and/or distributions. Thus it's disabled by default and you must patch it - with this patch:

http://bugs.gentoo.org/attachment.cgi?id=102166&#38;action=view

To watch news about QGIS and Gentoo use this page:

http://bugs.gentoo.org/show_bug.cgi?id=56262

Martin

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
